import { VersionedObject, VersionedObjectMigrator } from "../../businessObjects/versioned/VersionedObject.js";
import { URLString, UnixTimestamp } from "../../primitives/index.js";
import { PropertiesOf } from "../../utilities/index.js";
/**
 * I honestly don't know what we need to collect for clicks. I'm not a data guy. Presumeably,
 * you want to know where you clicked and when you did it.
 */
/**
 * Good place to play around with tests. You can use IndexedDB.test
 * to play around and see how it works
 */
export declare class ClickData extends VersionedObject {
    url: URLString;
    timestamp: UnixTimestamp;
    element: string;
    version2Element: string;
    version3Element: number;
    static CURRENT_VERSION: number;
    constructor(url: URLString, timestamp: UnixTimestamp, element: string, version2Element: string, version3Element: number);
    getVersion(): number;
}
export declare class ClickDataMigrator extends VersionedObjectMigrator<ClickData> {
    getCurrentVersion(): number;
    protected factory(data: PropertiesOf<ClickData>): ClickData;
    protected getUpgradeFunctions(): Map<number, (data: Record<string, unknown>, version: number) => Record<string, unknown>>;
}
//# sourceMappingURL=ClickData.d.ts.map