import { VersionedObject, VersionedObjectMigrator } from "../../businessObjects/versioned/VersionedObject.js";
import { EChain } from "../../enum/index.js";
import { AccountAddress } from "../../primitives/index.js";
import { PropertiesOf } from "../../utilities/index.js";
export declare class LinkedAccountMigrator extends VersionedObjectMigrator<LinkedAccount> {
    getCurrentVersion(): number;
    protected factory(data: PropertiesOf<LinkedAccount>): LinkedAccount;
    protected getUpgradeFunctions(): Map<number, (data: Record<string, unknown>, version: number) => Record<string, unknown>>;
}
export declare class LinkedAccount extends VersionedObject {
    sourceChain: EChain;
    sourceAccountAddress: AccountAddress;
    static CURRENT_VERSION: number;
    constructor(sourceChain: EChain, sourceAccountAddress: AccountAddress);
    getVersion(): number;
}
//# sourceMappingURL=LinkedAccount.d.ts.map