import { VersionedObject, VersionedObjectMigrator } from "../../businessObjects/versioned/VersionedObject.js";
import { EQuestionnaireStatus, PropertiesOf, QuestionnaireQuestion } from "../../index";
import { IpfsCID, URLString } from "../../primitives/index.js";
export declare class QuestionnaireData extends VersionedObject {
    id: IpfsCID;
    status: EQuestionnaireStatus;
    questions: PropertiesOf<QuestionnaireQuestion>[];
    title: string;
    description?: string | undefined;
    image?: URLString | undefined;
    static CURRENT_VERSION: number;
    constructor(id: IpfsCID, status: EQuestionnaireStatus, questions: PropertiesOf<QuestionnaireQuestion>[], title: string, description?: string | undefined, image?: URLString | undefined);
    getVersion(): number;
}
export declare class QuestionnaireMigrator extends VersionedObjectMigrator<QuestionnaireData> {
    getCurrentVersion(): number;
    protected factory(data: PropertiesOf<QuestionnaireData>): QuestionnaireData;
    protected getUpgradeFunctions(): Map<number, (data: Record<string, unknown>, version: number) => Record<string, unknown>>;
}
//# sourceMappingURL=QuestionnaireMigrator.d.ts.map